> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the cost allocation over a time window

> Retrieve cost allocation



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml get /api/cost/v1/allocation
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/cost/v1/allocation:
    get:
      tags:
        - Cost
      summary: Get the cost allocation over a time window
      description: Retrieve cost allocation
      operationId: getCostAllocation
      parameters:
        - description: >-
            Duration of time over which to query. Accepts words like today,
            week, month, yesterday, lastweek, lastmonth; durations like 30m,
            12h, 7d, or time like 2021-03-10T00:00:00Z,2021-03-11T00:00:00Z
          in: query
          name: window
          required: true
          schema:
            type: string
        - description: >-
            Aggregate the cost allocation. Accepts kubecost aggregates cluster,
            namespace, pod, deployment, service, daemonset, statefulset, job,
            cronjob, replicaset, node, container, pv, pvc, storageclass, cluster
          in: query
          name: aggregate
          required: false
          schema:
            type: string
        - description: >-
            Start time of the query. Accepts RFC3339 format, must be inside the
            window
          in: query
          name: start
          required: false
          schema:
            type: string
        - description: >-
            End time of the query. Accepts RFC3339 format, must be inside the
            window
          in: query
          name: end
          required: false
          schema:
            type: string
        - description: >-
            If the result will be accumulated. Default is false. If true, the
            result will be accumulated from the start time to the end time.
          in: query
          name: accumulate
          required: false
          schema:
            type: boolean
        - description: >-
            Filter the result by the kubecost filter like cluster, namespace,
            pod, deployment, service, daemonset, statefulset, job, cronjob,
            replicaset, node, container, pv, pvc, storageclass, cluster.
          in: query
          name: filter
          required: false
          schema:
            type: string
        - description: if the idle cost will be shared
          in: query
          name: shareIdle
          required: false
          schema:
            type: boolean
        - description: list of namespaces to share the costs
          in: query
          name: shareNamespaces
          required: false
          schema:
            type: string
        - description: >-
            Determines how to split shared costs among non-idle, unshared
            allocations.
          in: query
          name: shareSplit
          required: false
          schema:
            type: string
        - description: The cost to share
          in: query
          name: shareCost
          required: false
          schema:
            type: string
        - description: The label to share the cost
          in: query
          name: shareLabels
          required: false
          schema:
            type: string
        - description: If the cost will be reconciled
          in: query
          name: reconcile
          required: false
          schema:
            type: boolean
        - description: If the tenancy costs will be shared
          in: query
          name: shareTenancyCosts
          required: false
          schema:
            type: boolean
        - description: If the idle cost will be calculated
          in: query
          name: idle
          required: false
          schema:
            type: boolean
        - description: If the external cost will be calculated
          in: query
          name: external
          required: false
          schema:
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CostAllocationEnvelopeV1'
          description: Success
components:
  schemas:
    CostAllocationEnvelopeV1:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CostAllocationV1'
          type: array
      required:
        - data
      type: object
    CostAllocationV1:
      properties:
        cpuCoreHours:
          format: double
          type: number
        cpuCoreRequestAverage:
          format: double
          type: number
        cpuCoreUsageAverage:
          format: double
          type: number
        cpuCores:
          format: double
          type: number
        cpuCost:
          format: double
          type: number
        cpuCostAdjustment:
          format: double
          type: number
        cpuEfficincy:
          format: double
          type: number
        discount:
          format: double
          type: number
        gpuCost:
          format: double
          type: number
        gpuCostAdjustment:
          format: double
          type: number
        gpuCount:
          format: double
          type: number
        gpuHours:
          format: double
          type: number
        labels:
          properties:
            billing_tag:
              type: string
            organization_id:
              type: string
            organization_name:
              type: string
            project_id:
              type: string
            project_name:
              type: string
            project_owner_id:
              type: string
            project_owner_name:
              type: string
            starting_user_id:
              type: string
            starting_user_name:
              type: string
            workload_id:
              type: string
            workload_type:
              type: string
          type: object
        loadBalancerCost:
          format: double
          type: number
        loadBalancerCostAdjustment:
          format: double
          type: number
        name:
          type: string
        nodeType:
          type: string
        pv:
          properties:
            pvByteHours:
              format: double
              type: number
            pvBytes:
              format: double
              type: number
            pvCost:
              format: double
              type: number
            pvCostAdjustment:
              format: double
              type: number
            pvs:
              additionalProperties:
                properties:
                  byteHours:
                    format: double
                    type: number
                  cost:
                    format: double
                    type: number
                type: object
              type: object
          type: object
        ramCost:
          format: double
          type: number
        ramCostAdjustment:
          format: double
          type: number
        totalCost:
          format: double
          type: number
        window:
          properties:
            end:
              type: string
            minutes:
              format: double
              type: number
            start:
              type: string
          type: object
      type: object
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````